Author Topic: OpenSSL 1.1.1 use with php  (Read 924 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
OpenSSL 1.1.1 use with php
« on: January 28, 2022, 08:26:35 PM »
Hello,

i installed openssl 1.1.1 (compiled & installed) in the folder /usr/local/opensslso
i recompiled apache and it works now with the new version BUT

php wont work with it...

this is the configure command CWP uses
Quote
'./configure' '--prefix=/opt/alt/php-fpm74/usr' '--with-config-file-path=/opt/alt/php-fpm74/usr/php' '--with-config-file-scan-dir=/opt/alt/php-fpm74/usr/php/php.d' '--with-zlib=/usr' '--enable-mbstring' '--with-zip' '--enable-bcmath' '--enable-pcntl' '--enable-ftp' '--enable-exif' '--enable-calendar' '--enable-sysvmsg' '--enable-sysvsem' '--enable-sysvshm' '--with-tidy' '--with-curl' '--with-iconv' '--with-gmp' '--with-pspell' '--enable-gd' '--with-jpeg' '--with-freetype' '--enable-gd-jis-conv' '--with-webp' '--with-zlib-dir=/usr' '--with-openssl-dir=/usr/local/opensslso/bin' '--with-xpm' '--with-openssl=/usr/local/opensslso/bin' '--with-pdo-mysql=mysqlnd' '--with-gettext=/usr' '--with-bz2=/usr' '--with-mysqli' '--enable-soap' '--enable-phar' '--with-xsl' '--with-xmlrpc' '--with-kerberos' '--enable-posix' '--enable-sockets' '--with-external-pcre' '--with-libdir=lib64' '--with-mysql-sock=/var/lib/mysql/mysql.sock' '--enable-intl' '--with-imap' '--with-imap-ssl' '--enable-fpm' '--enable-opcache' '--with-password-argon2' 'PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:/usr/local/lib64/pkgconfig'

you can see i changed the path for with-openssl und with-openssl-dir but it wont work it everytime depends on the old 1.0.2k version of openssl.

can you help me what i need to do for php to use the new openssl version?

Offline
**
Re: OpenSSL 1.1.1 use with php
« Reply #1 on: January 28, 2022, 08:53:26 PM »
My Centos 8 Stream installed openssl 1.1.1 at the setup of Centos itself. My php is using it.
But why don't you install openssl with yum and then recompile php normally with its original configuration?
« Last Edit: January 28, 2022, 08:55:18 PM by iraqiboy90 »

Offline
*
Re: OpenSSL 1.1.1 use with php
« Reply #2 on: January 28, 2022, 09:34:31 PM »
im on centos 7 i cant install anything higher from yum.

Offline
*****
Re: OpenSSL 1.1.1 use with php
« Reply #3 on: January 29, 2022, 11:28:00 AM »
im on centos 7 i cant install anything higher from yum.
it is recommend to use centos 8 stream for openssl 1.1.1 and don't try to update openssl in centos 7 it will break many things

Offline
*
Re: OpenSSL 1.1.1 use with php
« Reply #4 on: January 29, 2022, 11:41:47 AM »
to clarify i dont want to update the systems openssl package because i know i cant.
i only want to use another openssl package with php.
with apache it works too with the new openssl version but not with php.
so i think i do something wrong with it.

i think the problem can be the PKG_CONFIG_PATH because there is not my new path added but i dont know how
i can tell CWP on rebuild another path with the pkgconfig path of the new openssl